org.freedesktop.ModemManager1.Modem.Time: ModemManager Reference Manual

## org.freedesktop.ModemManager1.Modem.Time org.freedesktop.ModemManager1.Modem.Time — The ModemManager Time interface. |

## Methods

    GetNetworkTime (OUT s time);

## Signals

    NetworkTimeChanged (s time);

## Properties

    NetworkTimezone  readable   a{sv}

## Description

This interface allows clients to receive network time and timezone updates broadcast by mobile networks.

This interface will only be available once the modem is ready to be registered in the cellular network. 3GPP devices will require a valid unlocked SIM card before any of the features in the interface can be used.

## Method Details

### The `GetNetworkTime()` method

    GetNetworkTime (OUT s time);

time, and (if available) UTC offset in ISO 8601 format. If the network time is unknown, the empty string.

Gets the current network time in local time.

This method will only work if the modem tracks, or can request, the current network time; it will not attempt to use previously-received network time updates on the host to guess the current network time.

Since: 1.0

`OUT s `time``: | If the network time is known, a string containing local date,

## Signal Details

### The "NetworkTimeChanged" signal

    NetworkTimeChanged (s time);

Sent when the network time is updated.

Since: 1.0

`s `time``: | A string containing date and time in ISO 8601 format.

## Property Details

### The "NetworkTimezone" property

    NetworkTimezone  readable   a{sv}

The timezone data provided by the network. It may include one or more of the following fields:

`"offset"` | Offset of the timezone from UTC, in minutes (including DST, if applicable), given as a signed integer value (signature `"i"`).
`"dst-offset"` | Amount of offset that is due to DST (daylight saving time), given as a signed integer value (signature `"i"`).
`"leap-seconds"` | Number of leap seconds included in the network time, given as a signed integer value (signature `"i"`).

Since: 1.0